#include "filesystemmodel.h"
FileSystemModel::FileSystemModel(QObject *parent):QFileSystemModel(parent)
{
    this->setReadOnly(false);
}

FileSystemModel::~FileSystemModel()
{
}

Qt::DropActions FileSystemModel::supportedDropActions() const
{
    return Qt::MoveAction;
}


Qt::ItemFlags FileSystemModel::flags(const QModelIndex &index) const
{
    Qt::ItemFlags defaultFlags = QFileSystemModel::flags(index);
    defaultFlags &=  ~Qt::ItemIsEditable;
    if (index.isValid())
        return Qt::ItemIsDragEnabled | Qt::ItemIsDropEnabled | defaultFlags;
    else
        return Qt::ItemIsDropEnabled | defaultFlags;
}
